Subject: Re: Washington Issue 3 - Packages adding Properties to root

From: Brian Rosen <[email-masked]>
Date: Mon, 15 Nov 1999 15:25:36 -0500

I like my proposal much better than this.

Adding 3 level syntax to properties is not IMO a good idea.

Brian

> -----Original Message-----
> From: Abdallah Rayhan [mailto:[email-masked]]
> Sent: Monday, November 15, 1999 2:46 PM
> To: Brian Rosen
> Cc: [email-masked]
> Subject: Re: Washington Issue 3 - Packages adding Properties to root
>
>
> Brian,
>
> That is easy. Let gateway properties be qualified by ROOT and
> interface
> properties qualified by network type. For example, if the package
> implements a root property then it would be, pkg/root/property and
> if it is network type then, pkg/ATM/property. We have the concept of
> static extension between packages. That is a package extends another
> one when being defined. We could relax that to allow packages
> to extend
> the root package dynamically but within the scope of the package. So
> pkg/root/propertyA is a root property in all terminations implementing
> pkg. Other terminations which do not implement this package,
> basically,
> dont access that property.
>
> One restriction applies here which should apply to all packages
> that is not overloading of root package properties.
>
> Abdallah Rayhan
>
> Brian Rosen wrote:
>
> > A number of issues were raised in the Washington meeting
> that were "send to
> > the
> > list".  This is one of these issues, with the problem and
> my suggested fix.
> >
> > Problem:
> > Some packages need a property which is the same for all
> terminations that
> > implement the package.  Quantity of is an example, or
> bandwidth perhaps.
> >
> > Suggested Solution
> > The solution presented in the meeting was to allow a
> package to define
> > properties of the root termination as well as properties,
> events, signals
> > and statistics of terminations that realize the package.
> It is currently
> > possible to define
> > an entire package as realized by root.
> >
> > Please Note:
> > I am not all that comfortable with this solution.  One
> problem is that there
> > are cases where the value is not "one per gateway".  It
> might be "one per
> > interface".
> > More precisely, such properties are not really gateway
> wide, they are a
> > property of the set of terminations implementing the package.
> >
> > An alternative is to simply have conventions that allow a
> property to appear
> > in a termination, but have a global value - if it were
> read/write (many are
> > read only)
> > if it were written in one termination, it that value would
> show up in an
> > audit
> > of any other termination.
>

---

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 15 Nov 1999 14:48:29 -0600

We agreed on Friday that transport in particular is a stream property, not a
termination property.  As a result, I'd suggest that for aggregate transport
capabilities, it makes a lot more sense to have properties on ROOT than to
have them on some hypothetical and constantly varying set of terminations.
The alternative is to model some of these things directly (e.g. have a
termination which supports a package which identifies it as an ATM,
ethernet, or digital carrier physical interface).  <<Nortel Networks hat
on>> I am determined to have packages suitable for this purpose for use in
my company's products.  If other people see their usefulness, perhaps we can
standardize them as public rather than private packages.  Their key content
would be a capacity property and the fact that they could be used to
indicate the state of the interface.  They would always sit in the NULL
context.  <<Nortel Networks hat off>>

> From: Brian Rosen [SMTP:[email-masked]]
> Sent: Monday, November 15, 1999 10:13 AM
> To:   [email-masked]
> Subject:      Washington Issue 3 - Packages adding Properties to root
>
> A number of issues were raised in the Washington meeting that were "send
> to
> the
> list".  This is one of these issues, with the problem and my suggested
> fix.
>
> Problem:
> Some packages need a property which is the same for all terminations that
> implement the package.  Quantity of is an example, or bandwidth perhaps.
>
> Suggested Solution
> The solution presented in the meeting was to allow a package to define
> properties of the root termination as well as properties, events, signals
> and statistics of terminations that realize the package.  It is currently
> possible to define
> I am not all that comfortable with this solution.  One problem is that
> there
> are cases where the value is not "one per gateway".  It might be "one per
> interface".
> More precisely, such properties are not really gateway wide, they are a
> An alternative is to simply have conventions that allow a property to
> appear
> in a termination, but have a global value - if it were read/write (many
> are
> read only)
> if it were written in one termination, it that value would show up in an
> audit

---

From: Brian Rosen <[email-masked]>
Date: Tue, 16 Nov 1999 08:12:28 -0500

Abdallah

This is too complicated.  I'd rather drop the whole idea than
implement this.  Either the original - just allow a package
to define a root property, or my declared global - just declare
a property to be global to the terminations that implement it,
are much simpler, and more straightforward solutions.
Neither requires any syntax.

Brian

> To: [email-masked]